Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232859 - "--disable-natt" option support in NetworkManager-vpnc plugin
Summary: "--disable-natt" option support in NetworkManager-vpnc plugin
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Denis Leroy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 01:40 UTC by Alex
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-25 15:39:41 UTC


Attachments (Terms of Use)

Description Alex 2007-03-19 01:40:14 UTC
NetworkManager-vpnc plugin doesn't support vpnc's "--disable-natt" option, would
be great to have it, seems like similar issue described here
https://launchpad.net/ubuntu/+source/network-manager-vpnc/+bug/88073

Comment 1 Denis Leroy 2007-03-19 14:01:35 UTC
I have a patch ready. I looked at the Ubuntu patch and *cough* fixed it, added
better spacing in the glade file to make it look more like a Gnome control
panel. I also added a field for the NAT Keepalive value. Testing welcomed,
especially around the import/export features.

David, Dan, if you would kindly review the GUI modifications (nm-vpn-properties)
and comment, to know whether i should submit this upstream.

src rpm (for FC-6 & FC-7) is here :

http://www.poolshark.org/src/NetworkManager-vpnc-0.6.4-3.fc6.src.rpm



Comment 2 Denis Leroy 2007-03-25 15:39:41 UTC
Built for FC-6 and FC-7.



Note You need to log in before you can comment on or make changes to this bug.